/[pcre]/code/trunk/PrepareRelease
ViewVC logotype

Diff of /code/trunk/PrepareRelease

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 208 by ph10, Mon Aug 6 15:23:29 2007 UTC revision 453 by ph10, Fri Sep 18 19:12:35 2009 UTC
# Line 4  Line 4 
4  # processing of the documentation, detrails files, and creates pcre.h.generic  # processing of the documentation, detrails files, and creates pcre.h.generic
5  # and config.h.generic (for use by builders who can't run ./configure).  # and config.h.generic (for use by builders who can't run ./configure).
6    
7  # You must run this script before runnning "make dist". It makes use of the  # You must run this script before runnning "make dist". If its first argument
8  # following files:  # is "doc", it stops after preparing the documentation. There are no other
9    # arguments. The script makes use of the following files:
10    
11  # 132html     A Perl script that converts a .1 or .3 man page into HTML. It  # 132html     A Perl script that converts a .1 or .3 man page into HTML. It
12  #             is called from MakeRelease. It "knows" the relevant troff  #             "knows" the relevant troff constructs that are used in the PCRE
13  #             constructs that are used in the PCRE man pages.  #             man pages.
14    
15  # CleanTxt    A Perl script that cleans up the output of "nroff -man" by  # CleanTxt    A Perl script that cleans up the output of "nroff -man" by
16  #             removing backspaces and other redundant text so as to produce  #             removing backspaces and other redundant text so as to produce
# Line 37  cat <<End >pcre.txt Line 38  cat <<End >pcre.txt
38  This file contains a concatenation of the PCRE man pages, converted to plain  This file contains a concatenation of the PCRE man pages, converted to plain
39  text format for ease of searching with a text editor, or for use on systems  text format for ease of searching with a text editor, or for use on systems
40  that do not have a man page processor. The small individual files that give  that do not have a man page processor. The small individual files that give
41  synopses of each function in the library have not been included. There are  synopses of each function in the library have not been included. Neither has
42  separate text files for the pcregrep and pcretest commands.  the pcredemo program. There are separate text files for the pcregrep and
43    pcretest commands.
44  -----------------------------------------------------------------------------  -----------------------------------------------------------------------------
45    
46    
# Line 68  for file in pcretest pcregrep pcre-confi Line 70  for file in pcretest pcregrep pcre-confi
70  done  done
71    
72    
73    # Make pcredemo.3 from the pcredemo.c source file
74    
75    echo "Making pcredemo.3"
76    perl <<"END" >pcredemo.3
77      open(IN, "../pcredemo.c") || die "Failed to open pcredemo.c\n";
78      open(OUT, ">pcredemo.3") || die "Failed to open pcredemo.3\n";
79      print OUT ".\\\" Start example.\n" .
80                ".de EX\n" .
81                ".  nr mE \\\\n(.f\n" .
82                ".  nf\n" .
83                ".  nh\n" .
84                ".  ft CW\n" .
85                "..\n" .
86                ".\n" .
87                ".\n" .
88                ".\\\" End example.\n" .
89                ".de EE\n" .
90                ".  ft \\\\n(mE\n" .
91                ".  fi\n" .
92                ".  hy \\\\n(HY\n" .
93                "..\n" .
94                ".\n" .
95                ".EX\n" ;
96      while (<IN>)
97        {
98        s/\\/\\e/g;
99        print OUT;
100        }
101      print OUT ".EE\n";
102      close(IN);
103      close(OUT);
104    END
105    if [ $? != 0 ] ; then exit 1; fi
106    
107    
108  # Make HTML form of the documentation.  # Make HTML form of the documentation.
109    
110  echo "Making HTML documentation"  echo "Making HTML documentation"
# Line 83  done Line 120  done
120  # Exclude table of contents for function summaries. It seems that expr  # Exclude table of contents for function summaries. It seems that expr
121  # forces an anchored regex. Also exclude them for small pages that have  # forces an anchored regex. Also exclude them for small pages that have
122  # only one section.  # only one section.
123    
124  for file in *.3 ; do  for file in *.3 ; do
125    base=`basename $file .3`    base=`basename $file .3`
126    toc=-toc    toc=-toc
# Line 98  for file in *.3 ; do Line 136  for file in *.3 ; do
136    if [ $? != 0 ] ; then exit 1; fi    if [ $? != 0 ] ; then exit 1; fi
137  done  done
138    
139  # End of documentation processing  # End of documentation processing; stop if only documentation required.
140    
141  cd ..  cd ..
142  echo Documentation done  echo Documentation done
143    if [ "$1" = "doc" ] ; then exit; fi
144    
145  # These files are detrailed; do not detrail the test data because there may be  # These files are detrailed; do not detrail the test data because there may be
146  # significant trailing spaces. The configure files are also omitted from the  # significant trailing spaces. The configure files are also omitted from the
# Line 128  files="\ Line 167  files="\
167    RunTest.bat \    RunTest.bat \
168    pcre-config.in \    pcre-config.in \
169    libpcre.pc.in \    libpcre.pc.in \
170      libpcreposix.pc.in \
171    libpcrecpp.pc.in \    libpcrecpp.pc.in \
   config.h \  
172    config.h.in \    config.h.in \
173    pcre_printint.src \    pcre_printint.src \
174    pcre_chartables.c.dist \    pcre_chartables.c.dist \
# Line 139  files="\ Line 178  files="\
178    dftables.c \    dftables.c \
179    pcreposix.c \    pcreposix.c \
180    pcreposix.h \    pcreposix.h \
   pcre.h \  
181    pcre.h.in \    pcre.h.in \
182    pcre_internal.h    pcre_internal.h
183    pcre_compile.c \    pcre_compile.c \

Legend:
Removed from v.208  
changed lines
  Added in v.453

  ViewVC Help
Powered by ViewVC 1.1.5